Product Help Library
Home > Compass Learning Technical Requirements

Compass Learning Technical Requirements

Table of contents

This page provides workstation requirements for the current version of Compass Learning products.

Windows

  • Sound card w/speakers or headset and microphone
  • 100Mbps NIC
  • 256Kbps/student
  • Windows®
  • Windows® 7, 8 or 10
  • Web Browsers
  • Internet Explorer 11
  • Edge
  • Firefox
  • Chrome
  • Allow third-party cookies
  • Adobe Flash Player
  • Adobe® Acrobat® Reader
  • Adobe Shockwave Player 10 or 11
  • QuickTime 7.6 and above
  • Other
  • Sun Java™ J2SE™ 6
  • Javascript™ 1.2

Mac

  • Sound card w/speakers or headset and microphone
  • 100 Mbps NIC
  • 256 Kbps/student
  • Mac OS X
  • 10.9 or higher
  • Web Browsers
  • Safari 9 or higher
  • Firefox
  • Chrome
  • Allow third-party cookies
  • Adobe Flash Player
  • Adobe® Acrobat® Reader
  • Adobe Shockwave Player 10 or 11
  • QuickTime 7.6 and above
  • Other
  • Sun Java™ J2SE™ 6
  • Javascript™ 1.2

Mobile

  • Compass Learning Mobile requires a continuous Wifi connection.
  • Chromebook
  • Chrome
  • 256 Kbps/student

 

NOTES:

  • A microphone is needed for ELL and foreign-language courses.
  • We recommend the latest versions of Firefox or Chrome.
  • QuickTime is required for CompassLearning Elective courses only.
  • Sun Java and Adobe Shockwave Player 10 or 11​ are required for ELL and Honors Algebra Learning Activities.
You must to post a comment.
Last modified
17:09, 21 Jun 2017

Tags

This page has no custom tags.

Classifications

This page has no classifications.